#ifndef GLFW_TRUE
#define GLFW_TRUE 1
#endif
struct {
	float x;
	float y;
	float z;
} cameraPos = {0.0, 0.0, 5.0};

static void key_callback(GLFWwindow* window, int key, int scancode, int action, int mods)
{
	if (key == GLFW_KEY_ESCAPE && action == GLFW_PRESS) {
		glfwSetWindowShouldClose(window, GLFW_TRUE);
		return;
	}
	if(action != GLFW_PRESS) {
		return;
	}
	GLfloat delta = 0.5;
	if(key == GLFW_KEY_LEFT) cameraPos.x -= delta;
	else if(key == GLFW_KEY_RIGHT) cameraPos.x += delta;
	else if(key == GLFW_KEY_DOWN) cameraPos.z -= delta;
	else if(key == GLFW_KEY_UP) cameraPos.z += delta;
	else if(key == GLFW_KEY_S) cameraPos.y += delta;
	else if(key == GLFW_KEY_X) cameraPos.y -= delta;
	printf("camPos = {%.1f, %.1f, %.1f}\n", cameraPos.x, cameraPos.y, cameraPos.z);
}

void mouse_button_callback(GLFWwindow* window, int button, int action, int mods)
{
}
